Package org.eclipse.net4j.util.ui.chat

# Class ChatComposite

java.lang.Object
org.eclipse.swt.widgets.Widget
org.eclipse.swt.widgets.Control
org.eclipse.swt.widgets.Scrollable
org.eclipse.swt.widgets.Composite
org.eclipse.net4j.util.ui.chat.ChatComposite

All Implemented Interfaces:
  `Drawable`

public final class ChatComposite extends Composite

Since:
  3.19
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ChatComposite.Config`

## Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`nativeZoom`

## Constructor Summary

Constructors
Constructor
Description
`ChatComposite(Composite parent, int style, ChatComposite.Config config)`

## Method Summary

Modifier and Type
Method
Description
`EntryField`
`getEntryField()`
`Browser`
`getMessageBrowser()`
`String`
`getOwnUserID()`
`Control`
`getSendButton()`
`boolean`
`isEntryFieldVisible()`
`void`
`refreshMessageBrowser()`
`boolean`
`revealLastMessage()`
`void`
`setEntryFieldVisible(boolean visible)`
`boolean`
`setFocus()`
`void`
`setOwnUserID(String ownUserID)`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar, setScrollbarsMode`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setAutoscalingMode, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setData, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, addTypedListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, getTypedListeners, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, removeListener, removeTypedListener, reskin, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

## Constructor Details

### ChatComposite

public ChatComposite(Composite parent, int style, ChatComposite.Config config)

## Method Details

### getOwnUserID

public String getOwnUserID()

Since:
  3.20

### setOwnUserID

public void setOwnUserID(String ownUserID)

Since:
  3.20

### getMessageBrowser

public Browser getMessageBrowser()

### getEntryField

public EntryField getEntryField()

### getSendButton

public Control getSendButton()

### isEntryFieldVisible

public boolean isEntryFieldVisible()

Since:
  3.21

### setEntryFieldVisible

public void setEntryFieldVisible(boolean visible)

Since:
  3.21

### setFocus

public boolean setFocus()

Overrides:
  `setFocus` in class `Composite`

### refreshMessageBrowser

public void refreshMessageBrowser()

### revealLastMessage

public boolean revealLastMessage()